Package org.lwjgl.opengl

# Class ARBIndirectParameters

java.lang.Object
org.lwjgl.opengl.ARBIndirectParameters

public final class ARBIndirectParameters extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_PARAMETER_BUFFER_ARB`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, and CopyBufferSubData:
`static final int`
`GL_PARAMETER_BUFFER_BINDING_ARB`
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glMultiDrawArraysIndirectCountARB(int mode, long indirect_buffer_offset, long drawcount, int maxdrawcount, int stride)`
`static void`
`glMultiDrawArraysIndirectCountARB(int mode, ByteBuffer indirect, long drawcount, int maxdrawcount, int stride)`
`static void`
`glMultiDrawArraysIndirectCountARB(int mode, IntBuffer indirect, long drawcount, int maxdrawcount, int stride)`
Overloads glMultiDrawArraysIndirectCountARB.
`static void`
`glMultiDrawElementsIndirectCountARB(int mode, int type, long indirect_buffer_offset, long drawcount, int maxdrawcount, int stride)`
`static void`
`glMultiDrawElementsIndirectCountARB(int mode, int type, ByteBuffer indirect, long drawcount, int maxdrawcount, int stride)`
`static void`
`glMultiDrawElementsIndirectCountARB(int mode, int type, IntBuffer indirect, long drawcount, int maxdrawcount, int stride)`
Overloads glMultiDrawElementsIndirectCountARB.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PARAMETER_BUFFER_ARB

public static final int GL_PARAMETER_BUFFER_ARB
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, and CopyBufferSubData:

See Also:
  - Constant Field Values

### GL_PARAMETER_BUFFER_BINDING_ARB

public static final int GL_PARAMETER_BUFFER_BINDING_ARB
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glMultiDrawArraysIndirectCountARB

public static void glMultiDrawArraysIndirectCountARB(int mode, ByteBuffer indirect, long drawcount, int maxdrawcount, int stride)

### glMultiDrawArraysIndirectCountARB

public static void glMultiDrawArraysIndirectCountARB(int mode, long indirect_buffer_offset, long drawcount, int maxdrawcount, int stride)

### glMultiDrawArraysIndirectCountARB

public static void glMultiDrawArraysIndirectCountARB(int mode, IntBuffer indirect, long drawcount, int maxdrawcount, int stride)
Overloads glMultiDrawArraysIndirectCountARB.

### glMultiDrawElementsIndirectCountARB

public static void glMultiDrawElementsIndirectCountARB(int mode, int type, ByteBuffer indirect, long drawcount, int maxdrawcount, int stride)

### glMultiDrawElementsIndirectCountARB

public static void glMultiDrawElementsIndirectCountARB(int mode, int type, long indirect_buffer_offset, long drawcount, int maxdrawcount, int stride)

### glMultiDrawElementsIndirectCountARB

public static void glMultiDrawElementsIndirectCountARB(int mode, int type, IntBuffer indirect, long drawcount, int maxdrawcount, int stride)
Overloads glMultiDrawElementsIndirectCountARB.